[fxruby-users] Fox stable 1.6.36

Lyle Johnson lyle at lylejohnson.name
Wed Apr 8 10:37:55 EDT 2009

On Wed, Apr 8, 2009 at 1:28 AM, Philippe Lang
<philippe.lang at attiksystem.ch> wrote:

> I have just seen that the latest Fox version 1.6.36 corrects a bug with
> the FXTable startInput() call.
> I'm not sure at all, but I think it might correct one of the pending
> problem, when a modal dialog is called while a cell is being edited.
> You certainly have a lot to do, but if you have a few minutes during the
> next weeks, it would be great to have a new release.

Sure. I didn't realize that Jeroen had released this bug fix.

> By the way, what about numbering in the future the FXRuby releases like the Fox release,
> plus an extra version:,

I'm not sure I understand what you mean.

Because the FOX 1.6 API is frozen, the idea is that any release of
FXRuby 1.6 can be built against any release of FOX 1.6. In other
words, FXRuby depends only on the public API of FOX.

To date I've been in the habit of only making a new release of FXRuby
1.6 when something about the FXRuby code has changed (whether it's a
bug fix or a feature addition). I don't make a new release of FXRuby
1.6 for every new release of FOX 1.6, because there's no need---if you
want to take advantage of a FOX bug fix (such as the one in FOX
1.6.36), you just recompile the latest FXRuby 1.6 against the latest
FOX 1.6 release.

The binary releases, where we include some precompiled version of FOX
in the gem, are a special case, and I'm wondering if that's what
you're referring to?

More information about the fxruby-users mailing list